/* (C) Copyright 1984,85,86,87 Walter L. Peacock   All Rights Reserved   */
/*  l o o k h d r . c   01/30/85   */

#include <stdio.h>
#include "cbtree.h"

#if AmigaDOS & LC
#define printf iprintf
#endif

void main(argc, argv)               /* display the header record of a data file. */
int   argc;
char *argv[];
{
   extern char *calloc();
   extern char *strcpy();
   extern void  exit();
   extern int   open();
   extern int   close();
   extern void  free();
   BTBLKHDR freespc;
   char filenme[14];
   int fd1;

   wopen("CON:0/0/640/200/Lookhdr");

   scr_clr();
   scr_curs(3, 18);
   printf(" Display File Header Record...\n");

   fd1 = getfname(argc, argv, "idx", filenme);

      /*  M A I N  C O N T R O L  P R O G R A M */

   getfhdr(&freespc, fd1);

   printf("\n\n    Free List Pointer  for  file '%s' is:  %lu (0x%04lx)",
                              filenme, freespc.freelst, freespc.freelst);
   printf("\n\n    End Of File Pointer for file '%s' is:  %lu (0x%04lx)",
                              filenme, freespc.eoflst, freespc.eoflst);

   close(fd1);
   wclose();   /* close Amiga window */
   puts("");
}
